## org.eclipse.emf.validation.service
Class ConstraintChangeEvent

    java.lang.Object
      org.eclipse.emf.validation.service.ConstraintChangeEvent

    public class ConstraintChangeEvent

extends Object

Event notifying `IConstraintListener`s that a constraint has been changed.

This class is not intended to be extended or instantiated by clients.

Since:
  1.1

Constructor Summary
`ConstraintChangeEvent(IConstraintDescriptor constraint, ConstraintChangeEventType eventType)` Initializes me with the constraint that has changed and the event that details the change.
`ConstraintChangeEvent(IConstraintDescriptor constraint, ConstraintChangeEventType eventType, Category category)` Initializes me with the constraint that has changed, an event that details the change and the category associated with the event.

Method Summary
`Category` `getCategory()` Obtains `Category` associated with this event
`IConstraintDescriptor` `getConstraint()` Obtains `IConstraintDescriptor` of the constraint associated with the event
`ConstraintChangeEventType` `getEventType()` Obtains `ConstraintChangeEventType` that details the event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstraintChangeEvent

    public ConstraintChangeEvent(IConstraintDescriptor constraint,
                                 ConstraintChangeEventType eventType,
                                 Category category)

  Initializes me with the constraint that has changed, an event that details the change and the category associated with the event.

  Parameters:
    `constraint` - the constraint that has changed
    `eventType` - the event that details the constraint change
    `category` - the category associated with the event (if eventType is `ConstraintChangeEventType.ADDED_CATEGORY` or `ConstraintChangeEventType.REMOVED_CATEGORY`)

### ConstraintChangeEvent

    public ConstraintChangeEvent(IConstraintDescriptor constraint,
                                 ConstraintChangeEventType eventType)

  Initializes me with the constraint that has changed and the event that details the change.

  Parameters:
    `constraint` - the constraint that has changed
    `eventType` - the event that details the constraint change

Method Detail

### getConstraint

    public IConstraintDescriptor getConstraint()

  Obtains `IConstraintDescriptor` of the constraint associated with the event

  Returns:
    the constraint associated with the event

### getEventType

    public ConstraintChangeEventType getEventType()

  Obtains `ConstraintChangeEventType` that details the event

  Returns:
    the event type for this event

### getCategory

    public Category getCategory()

  Obtains `Category` associated with this event

  Returns:
    the category associated with the event

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.